<?php

use Portfolio\Configure\Routing\Router;

// Inclusion de l'autoloader
require_once __DIR__ . '/../configure/autoloader/autoload.php';

$router = new Router($_GET['url']);

$router->get('/', 'Portfolio\Source\Design\Controller\Home\Index@index');
$router->get('/home/:id', 'Portfolio\Source\Design\Controller\Home\Read\Read@read');

$router->get('/about', 'Portfolio\Source\Design\Controller\About\Index@index');
$router->get('/about/:id', 'Portfolio\Source\Design\Controller\About\Read\Read@read');

$router->get('/project', 'Portfolio\Source\Design\Controller\Project\Index@index');
$router->get('/project/:id', 'Portfolio\Source\Design\Controller\Project\Read\Read@read');

$router->get('/experience', 'Portfolio\Source\Design\Controller\Experience\Index@index');
$router->get('/experience/:id', 'Portfolio\Source\Design\Controller\Experience\Read\Read@read');

$router->get('/tech', 'Portfolio\Source\Design\Controller\Tech\Index@index');
$router->get('/tech/:id', 'Portfolio\Source\Design\Controller\Tech\Read\Read@read');

$router->get('/contact', 'Portfolio\Source\Design\Controller\Contact\Index@index');
$router->get('/contact/:id', 'Portfolio\Source\Design\Controller\Contact\Read\Read@read');



$router->get('/test', 'Portfolio\Source\Design\Controller\Test\Index@index');
$router->get('/test/:id', 'Portfolio\Source\Design\Controller\Test\Read\Read@read');



$router->run();